<?php
/**
 * @version     1.0.0
 * @package     com_rentals
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Victor <victor@notwebdesign.com> - http://notwebdesign.com
 */
// no direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">
    function deleteItem(item_id){
        if(confirm("<?php echo JText::_('COM_RENTALS_DELETE_MESSAGE'); ?>")){
            document.getElementById('form-car-delete-' + item_id).submit();
        }
    }
</script>

<div class="items">
    <ul class="items_list">
<?php $show = false; ?>
        <?php foreach ($this->items as $item) : ?>

            
				<?php
					if($item->state == 1 || ($item->state == 0 && JFactory::getUser()->authorise('core.edit.own',' com_rentals.car.'.$item->id))):
						$show = true;
						?>
							<li>
								<a href="<?php echo JRoute::_('index.php?option=com_rentals&view=car&id=' . (int)$item->id); ?>"><?php echo $item->license_plate; ?></a>
								<?php
									if(JFactory::getUser()->authorise('core.edit.state','com_rentals.car.'.$item->id)):
									?>
										<a href="javascript:document.getElementById('form-car-state-<?php echo $item->id; ?>').submit()"><?php if($item->state == 1): echo JText::_("COM_RENTALS_UNPUBLISH_ITEM"); else: echo JText::_("COM_RENTALS_PUBLISH_ITEM"); endif; ?></a>
										<form id="form-car-state-<?php echo $item->id ?>" style="display:inline" action="<?php echo JRoute::_('index.php?option=com_rentals&task=car.save'); ?>" method="post" class="form-validate" enctype="multipart/form-data">
											<input type="hidden" name="jform[id]" value="<?php echo $item->id; ?>" />
											<input type="hidden" name="jform[ordering]" value="<?php echo $item->ordering; ?>" />
											<input type="hidden" name="jform[state]" value="<?php echo (int)!((int)$item->state); ?>" />
											<input type="hidden" name="jform[checked_out]" value="<?php echo $item->checked_out; ?>" />
											<input type="hidden" name="jform[checked_out_time]" value="<?php echo $item->checked_out_time; ?>" />
											<input type="hidden" name="jform[license_plate]" value="<?php echo $item->license_plate; ?>" />
											<input type="hidden" name="jform[model]" value="<?php echo $item->model; ?>" />
											<input type="hidden" name="jform[color]" value="<?php echo $item->color; ?>" />
											<input type="hidden" name="jform[features]" value="<?php echo $item->features; ?>" />
											<input type="hidden" name="option" value="com_rentals" />
											<input type="hidden" name="task" value="car.save" />
											<?php echo JHtml::_('form.token'); ?>
										</form>
									<?php
									endif;
									if(JFactory::getUser()->authorise('core.delete','com_rentals.car.'.$item->id)):
									?>
										<a href="javascript:deleteItem(<?php echo $item->id; ?>);"><?php echo JText::_("COM_RENTALS_DELETE_ITEM"); ?></a>
										<form id="form-car-delete-<?php echo $item->id; ?>" style="display:inline" action="<?php echo JRoute::_('index.php?option=com_rentals&task=car.remove'); ?>" method="post" class="form-validate" enctype="multipart/form-data">
											<input type="hidden" name="jform[id]" value="<?php echo $item->id; ?>" />
											<input type="hidden" name="jform[ordering]" value="<?php echo $item->ordering; ?>" />
											<input type="hidden" name="jform[state]" value="<?php echo $item->state; ?>" />
											<input type="hidden" name="jform[checked_out]" value="<?php echo $item->checked_out; ?>" />
											<input type="hidden" name="jform[checked_out_time]" value="<?php echo $item->checked_out_time; ?>" />
											<input type="hidden" name="jform[created_by]" value="<?php echo $item->created_by; ?>" />
											<input type="hidden" name="jform[license_plate]" value="<?php echo $item->license_plate; ?>" />
											<input type="hidden" name="jform[model]" value="<?php echo $item->model; ?>" />
											<input type="hidden" name="jform[color]" value="<?php echo $item->color; ?>" />
											<input type="hidden" name="jform[features]" value="<?php echo $item->features; ?>" />
											<input type="hidden" name="option" value="com_rentals" />
											<input type="hidden" name="task" value="car.remove" />
											<?php echo JHtml::_('form.token'); ?>
										</form>
									<?php
									endif;
								?>
							</li>
						<?php endif; ?>

<?php endforeach; ?>
        <?php
        if (!$show):
            echo JText::_('COM_RENTALS_NO_ITEMS');
        endif;
        ?>
    </ul>
</div>
<?php if ($show): ?>
    <div class="pagination">
        <p class="counter">
            <?php echo $this->pagination->getPagesCounter(); ?>
        </p>
        <?php echo $this->pagination->getPagesLinks(); ?>
    </div>
<?php endif; ?>


									<?php if(JFactory::getUser()->authorise('core.create','com_rentals')): ?><a href="<?php echo JRoute::_('index.php?option=com_rentals&task=car.edit&id=0'); ?>"><?php echo JText::_("COM_RENTALS_ADD_ITEM"); ?></a>
	<?php endif; ?>